Package com.enonic.xp.node

## Class NodePublishRequests

- java.lang.Object
- - com.enonic.xp.node.NodePublishRequests

- All Implemented Interfaces:
    `Iterable<NodePublishRequest>`

      @PublicApi
      public class NodePublishRequests
      extends Object
      implements Iterable<NodePublishRequest>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodePublishRequests()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(NodePublishRequest nodePublishRequest)` |
    `NodePublishRequest` | `get​(NodeId nodeId)` |
    `NodeIds` | `getNodeIds()` |
    `Set<NodePublishRequest>` | `getPublishAsChildOf()` |
    `Set<NodePublishRequest>` | `getPublishAsParentFor()` |
    `Set<NodePublishRequest>` | `getPublishAsReferredTo()` |
    `Set<NodePublishRequest>` | `getPublishAsRequested()` |
    `boolean` | `hasPublishOutsideSelection()` |
    `Iterator<NodePublishRequest>` | `iterator()` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### NodePublishRequests

          public NodePublishRequests()

  - ### Method Detail

    - #### size

          public int size()

    - #### get

          public NodePublishRequest get​(NodeId nodeId)

    - #### getPublishAsParentFor

          public Set<NodePublishRequest> getPublishAsParentFor()

    - #### getPublishAsChildOf

          public Set<NodePublishRequest> getPublishAsChildOf()

    - #### getPublishAsReferredTo

          public Set<NodePublishRequest> getPublishAsReferredTo()

    - #### getPublishAsRequested

          public Set<NodePublishRequest> getPublishAsRequested()

    - #### iterator

          public Iterator<NodePublishRequest> iterator()

      Specified by:
        `iterator` in interface `Iterable<NodePublishRequest>`

    - #### hasPublishOutsideSelection

          public boolean hasPublishOutsideSelection()

    - #### getNodeIds

          public NodeIds getNodeIds()

    - #### add

          public void add​(NodePublishRequest nodePublishRequest)